#include <bits/stdc++.h>
using namespace std;
int main(){
    long long n, m, k;
    cin >> n >> m >> k;
    long long ans = 0;
    if(n % k == 0 && m % k == 0){
        cout << n * m / (k * k);
        return 0;
    }
    else{
        if(n % k == 0){
            ans = (n / k) * (m / k) + n / k;
            cout << ans;
            return 0;
        }
        else if(m % k == 0){
            ans = (m / k) * (n / k) + m / k;
            cout << ans;
            return 0;
        }
        else{
            ans = (m / k) * (n / k) + (m / k) + (n / k) + 1;
            cout << ans;
            return 0;
        }
    }
}
